﻿using System;
using System.Collections.Generic;
using System.Linq;

using System.ServiceModel;
using System.ServiceModel.Channels;

public class ServiceHelper
{
    public const int MAX_BUFFER_SIZE = 2147483647;
    public const long MAX_RECIEVED_MESSAGE_SIZE = 2147483647;

    public static Binding CreateServiceBinding()
    {
        BasicHttpBinding binding = new BasicHttpBinding();
        binding.MaxBufferSize = MAX_BUFFER_SIZE;
        binding.MaxReceivedMessageSize = MAX_RECIEVED_MESSAGE_SIZE;
        return binding;
    }

    public static EndpointAddress CreateEndPoint(string serviceUri)
    {
        return new EndpointAddress(serviceUri);
    }
}
