﻿
namespace DV92.Views.XamWebBulletGraph.Intro.demo
{
    public class IntroViewModel : ViewModelBase
    {
        private PerformanceData _performance = null;

        public PerformanceData Performance
        {
            get
            {
                if (this._performance == null)
                {
                    this._performance = new PerformanceData()
                    {
                        Minimum = 0,
                        Maximum = 1000,
                        ActualRevenue = 875,
                        TargetRevenue = 825,
                        GoodComparativeThreshold = 600,
                        BetterComparativeThreshold = 800,
                        BestComparativeThreshold = 1000
                    };
                }
                return this._performance;
            }
            set
            {
                if (this._performance != value)
                {
                    this._performance = value;
                    this.RaisePropertyChangedEvent("Performance");
                }
            }
        }
    }
}