﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace DV92.Views.XamWebBulletGraph.Intro.test
{
    public class GraphViewModel : ViewModelBase
    {
        private PerformanceData _performance = null;

        public PerformanceData Performance
        {
            get
            {
                if (this._performance == null)
                {
                    this._performance = new PerformanceData()
                    {
                        Minimum = 0,
                        Maximum = 1000,
                        ActualRevenue = 875,
                        TargetRevenue = 825,
                        GoodComparativeThreshold = 600,
                        BetterComparativeThreshold = 800,
                        BestComparativeThreshold = 1000
                    };
                }
                return this._performance;
            }
            set
            {
                if (this._performance != value)
                {
                    this._performance = value;
                    this.RaisePropertyChangedEvent("Performance");
                }
            }
        }

        public GraphViewModel() { }
    }
}
