﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Navigation;

namespace DV92.Views.XamWebMap.GeoImagery.demo
{
    public partial class GeoImagery : Page
    {
        public GeoImagery()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(GeoImagery_Loaded);
        }

        void GeoImagery_Loaded(object sender, RoutedEventArgs e)
        {
            this.DataContext = new GeoImageryViewModel();
            this.GeoMap.SetWorldRectangle(-180, 90, 180, -90);
            this.LocationsBox.SelectedIndex = 0;
            this.NavigateToSelectedLocation();
        }

        private void LocationsBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            this.NavigateToSelectedLocation();
        }

        private void NavigateToSelectedLocation()
        {
            this.GeoMap.NavigateTo(this.LocationsBox.SelectedItem as GeoLocation);
        }
    }
}
